/**
 * <copyright>
 * </copyright>
 *
 * $Id: PickerVerticalImpl.java,v 1.4 2014/07/23 16:05:43 Pittner Exp $
 */
package de.bsvrz.buv.plugin.anlagendarstellung.impl;

import de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage;
import de.bsvrz.buv.plugin.anlagendarstellung.DoModelMitVerbLinie;
import de.bsvrz.buv.plugin.anlagendarstellung.Picker;
import de.bsvrz.buv.plugin.anlagendarstellung.PickerVertical;

import de.bsvrz.buv.plugin.dobj.model.DoKomponente;
import de.bsvrz.buv.plugin.dobj.model.DoKompositum;
import de.bsvrz.buv.plugin.dobj.model.DobjPackage;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.swt.graphics.RGB;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Picker Vertical</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#getHoehe <em>Hoehe</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#getBreite <em>Breite</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#getDistanz <em>Distanz</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#getYPosPickerTop <em>YPos Picker Top</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#getKilometrierungZuordnung <em>Kilometrierung Zuordnung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#getVonKm <em>Von Km</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#getBisKm <em>Bis Km</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#isSichtbar <em>Sichtbar</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#getFarbe <em>Farbe</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#getDarstellungUpdate <em>Darstellung Update</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#isVersetzt <em>Versetzt</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#isVerschoben <em>Verschoben</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerVerticalImpl#isVerschiebbar <em>Verschiebbar</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class PickerVerticalImpl extends DoModelMitVerbLinieImpl implements PickerVertical
{
  /**
   * The default value of the '{@link #getHoehe() <em>Hoehe</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHoehe()
   * @generated
   * @ordered
   */
  protected static final int HOEHE_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getHoehe() <em>Hoehe</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHoehe()
   * @generated
   * @ordered
   */
  protected int hoehe = HOEHE_EDEFAULT;

  /**
   * The default value of the '{@link #getBreite() <em>Breite</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBreite()
   * @generated
   * @ordered
   */
  protected static final int BREITE_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getBreite() <em>Breite</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBreite()
   * @generated
   * @ordered
   */
  protected int breite = BREITE_EDEFAULT;

  /**
   * The default value of the '{@link #getDistanz() <em>Distanz</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDistanz()
   * @generated
   * @ordered
   */
  protected static final int DISTANZ_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getDistanz() <em>Distanz</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDistanz()
   * @generated
   * @ordered
   */
  protected int distanz = DISTANZ_EDEFAULT;

  /**
   * The default value of the '{@link #getYPosPickerTop() <em>YPos Picker Top</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getYPosPickerTop()
   * @generated
   * @ordered
   */
  protected static final int YPOS_PICKER_TOP_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getYPosPickerTop() <em>YPos Picker Top</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getYPosPickerTop()
   * @generated
   * @ordered
   */
  protected int yPosPickerTop = YPOS_PICKER_TOP_EDEFAULT;

  /**
   * The default value of the '{@link #getKilometrierungZuordnung() <em>Kilometrierung Zuordnung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKilometrierungZuordnung()
   * @generated
   * @ordered
   */
  protected static final String KILOMETRIERUNG_ZUORDNUNG_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getKilometrierungZuordnung() <em>Kilometrierung Zuordnung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKilometrierungZuordnung()
   * @generated
   * @ordered
   */
  protected String kilometrierungZuordnung = KILOMETRIERUNG_ZUORDNUNG_EDEFAULT;

  /**
   * The default value of the '{@link #getVonKm() <em>Von Km</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getVonKm()
   * @generated
   * @ordered
   */
  protected static final double VON_KM_EDEFAULT = 0.0;

  /**
   * The cached value of the '{@link #getVonKm() <em>Von Km</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getVonKm()
   * @generated
   * @ordered
   */
  protected double vonKm = VON_KM_EDEFAULT;

  /**
   * The default value of the '{@link #getBisKm() <em>Bis Km</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBisKm()
   * @generated
   * @ordered
   */
  protected static final double BIS_KM_EDEFAULT = 0.0;

  /**
   * The cached value of the '{@link #getBisKm() <em>Bis Km</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBisKm()
   * @generated
   * @ordered
   */
  protected double bisKm = BIS_KM_EDEFAULT;

  /**
   * The default value of the '{@link #isSichtbar() <em>Sichtbar</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSichtbar()
   * @generated
   * @ordered
   */
  protected static final boolean SICHTBAR_EDEFAULT = false;

  /**
   * The cached value of the '{@link #isSichtbar() <em>Sichtbar</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isSichtbar()
   * @generated
   * @ordered
   */
  protected boolean sichtbar = SICHTBAR_EDEFAULT;

  /**
   * The default value of the '{@link #getFarbe() <em>Farbe</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFarbe()
   * @generated
   * @ordered
   */
  protected static final RGB FARBE_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getFarbe() <em>Farbe</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFarbe()
   * @generated
   * @ordered
   */
  protected RGB farbe = FARBE_EDEFAULT;

  /**
   * The default value of the '{@link #getDarstellungUpdate() <em>Darstellung Update</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDarstellungUpdate()
   * @generated
   * @ordered
   */
  protected static final Object DARSTELLUNG_UPDATE_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getDarstellungUpdate() <em>Darstellung Update</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDarstellungUpdate()
   * @generated
   * @ordered
   */
  protected Object darstellungUpdate = DARSTELLUNG_UPDATE_EDEFAULT;

  /**
   * The default value of the '{@link #isVersetzt() <em>Versetzt</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isVersetzt()
   * @generated
   * @ordered
   */
  protected static final boolean VERSETZT_EDEFAULT = false;

  /**
   * The cached value of the '{@link #isVersetzt() <em>Versetzt</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isVersetzt()
   * @generated
   * @ordered
   */
  protected boolean versetzt = VERSETZT_EDEFAULT;

  /**
   * The default value of the '{@link #isVerschoben() <em>Verschoben</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isVerschoben()
   * @generated
   * @ordered
   */
  protected static final boolean VERSCHOBEN_EDEFAULT = false;

  /**
   * The cached value of the '{@link #isVerschoben() <em>Verschoben</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isVerschoben()
   * @generated
   * @ordered
   */
  protected boolean verschoben = VERSCHOBEN_EDEFAULT;

  /**
   * The default value of the '{@link #isVerschiebbar() <em>Verschiebbar</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isVerschiebbar()
   * @generated
   * @ordered
   */
  protected static final boolean VERSCHIEBBAR_EDEFAULT = false;

  /**
   * The cached value of the '{@link #isVerschiebbar() <em>Verschiebbar</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isVerschiebbar()
   * @generated
   * @ordered
   */
  protected boolean verschiebbar = VERSCHIEBBAR_EDEFAULT;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected PickerVerticalImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return AnlagendarstellungPackage.Literals.PICKER_VERTICAL;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getHoehe()
  {
    return hoehe;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setHoehe(int newHoehe)
  {
    int oldHoehe = hoehe;
    hoehe = newHoehe;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__HOEHE, oldHoehe, hoehe));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getBreite()
  {
    return breite;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setBreite(int newBreite)
  {
    int oldBreite = breite;
    breite = newBreite;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__BREITE, oldBreite, breite));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getDistanz()
  {
    return distanz;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDistanz(int newDistanz)
  {
    int oldDistanz = distanz;
    distanz = newDistanz;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__DISTANZ, oldDistanz, distanz));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getYPosPickerTop()
  {
    return yPosPickerTop;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setYPosPickerTop(int newYPosPickerTop)
  {
    int oldYPosPickerTop = yPosPickerTop;
    yPosPickerTop = newYPosPickerTop;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__YPOS_PICKER_TOP, oldYPosPickerTop, yPosPickerTop));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getKilometrierungZuordnung()
  {
    return kilometrierungZuordnung;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setKilometrierungZuordnung(String newKilometrierungZuordnung)
  {
    String oldKilometrierungZuordnung = kilometrierungZuordnung;
    kilometrierungZuordnung = newKilometrierungZuordnung;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__KILOMETRIERUNG_ZUORDNUNG, oldKilometrierungZuordnung, kilometrierungZuordnung));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public double getVonKm()
  {
    return vonKm;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setVonKm(double newVonKm)
  {
    double oldVonKm = vonKm;
    vonKm = newVonKm;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__VON_KM, oldVonKm, vonKm));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public double getBisKm()
  {
    return bisKm;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setBisKm(double newBisKm)
  {
    double oldBisKm = bisKm;
    bisKm = newBisKm;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__BIS_KM, oldBisKm, bisKm));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isSichtbar()
  {
    return sichtbar;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setSichtbar(boolean newSichtbar)
  {
    boolean oldSichtbar = sichtbar;
    sichtbar = newSichtbar;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__SICHTBAR, oldSichtbar, sichtbar));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RGB getFarbe()
  {
    return farbe;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setFarbe(RGB newFarbe)
  {
    RGB oldFarbe = farbe;
    farbe = newFarbe;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__FARBE, oldFarbe, farbe));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Object getDarstellungUpdate()
  {
    return darstellungUpdate;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDarstellungUpdate(Object newDarstellungUpdate)
  {
    Object oldDarstellungUpdate = darstellungUpdate;
    darstellungUpdate = newDarstellungUpdate;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__DARSTELLUNG_UPDATE, oldDarstellungUpdate, darstellungUpdate));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isVersetzt()
  {
    return versetzt;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setVersetzt(boolean newVersetzt)
  {
    boolean oldVersetzt = versetzt;
    versetzt = newVersetzt;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__VERSETZT, oldVersetzt, versetzt));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isVerschoben()
  {
    return verschoben;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setVerschoben(boolean newVerschoben)
  {
    boolean oldVerschoben = verschoben;
    verschoben = newVerschoben;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__VERSCHOBEN, oldVerschoben, verschoben));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isVerschiebbar()
  {
    return verschiebbar;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setVerschiebbar(boolean newVerschiebbar)
  {
    boolean oldVerschiebbar = verschiebbar;
    verschiebbar = newVerschiebbar;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_VERTICAL__VERSCHIEBBAR, oldVerschiebbar, verschiebbar));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.PICKER_VERTICAL__HOEHE:
        return getHoehe();
      case AnlagendarstellungPackage.PICKER_VERTICAL__BREITE:
        return getBreite();
      case AnlagendarstellungPackage.PICKER_VERTICAL__DISTANZ:
        return getDistanz();
      case AnlagendarstellungPackage.PICKER_VERTICAL__YPOS_PICKER_TOP:
        return getYPosPickerTop();
      case AnlagendarstellungPackage.PICKER_VERTICAL__KILOMETRIERUNG_ZUORDNUNG:
        return getKilometrierungZuordnung();
      case AnlagendarstellungPackage.PICKER_VERTICAL__VON_KM:
        return getVonKm();
      case AnlagendarstellungPackage.PICKER_VERTICAL__BIS_KM:
        return getBisKm();
      case AnlagendarstellungPackage.PICKER_VERTICAL__SICHTBAR:
        return isSichtbar();
      case AnlagendarstellungPackage.PICKER_VERTICAL__FARBE:
        return getFarbe();
      case AnlagendarstellungPackage.PICKER_VERTICAL__DARSTELLUNG_UPDATE:
        return getDarstellungUpdate();
      case AnlagendarstellungPackage.PICKER_VERTICAL__VERSETZT:
        return isVersetzt();
      case AnlagendarstellungPackage.PICKER_VERTICAL__VERSCHOBEN:
        return isVerschoben();
      case AnlagendarstellungPackage.PICKER_VERTICAL__VERSCHIEBBAR:
        return isVerschiebbar();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @SuppressWarnings("unchecked")
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.PICKER_VERTICAL__HOEHE:
        setHoehe((Integer)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__BREITE:
        setBreite((Integer)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__DISTANZ:
        setDistanz((Integer)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__YPOS_PICKER_TOP:
        setYPosPickerTop((Integer)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__KILOMETRIERUNG_ZUORDNUNG:
        setKilometrierungZuordnung((String)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__VON_KM:
        setVonKm((Double)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__BIS_KM:
        setBisKm((Double)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__SICHTBAR:
        setSichtbar((Boolean)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__FARBE:
        setFarbe((RGB)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__DARSTELLUNG_UPDATE:
        setDarstellungUpdate(newValue);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__VERSETZT:
        setVersetzt((Boolean)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__VERSCHOBEN:
        setVerschoben((Boolean)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__VERSCHIEBBAR:
        setVerschiebbar((Boolean)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.PICKER_VERTICAL__HOEHE:
        setHoehe(HOEHE_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__BREITE:
        setBreite(BREITE_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__DISTANZ:
        setDistanz(DISTANZ_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__YPOS_PICKER_TOP:
        setYPosPickerTop(YPOS_PICKER_TOP_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__KILOMETRIERUNG_ZUORDNUNG:
        setKilometrierungZuordnung(KILOMETRIERUNG_ZUORDNUNG_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__VON_KM:
        setVonKm(VON_KM_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__BIS_KM:
        setBisKm(BIS_KM_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__SICHTBAR:
        setSichtbar(SICHTBAR_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__FARBE:
        setFarbe(FARBE_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__DARSTELLUNG_UPDATE:
        setDarstellungUpdate(DARSTELLUNG_UPDATE_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__VERSETZT:
        setVersetzt(VERSETZT_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__VERSCHOBEN:
        setVerschoben(VERSCHOBEN_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_VERTICAL__VERSCHIEBBAR:
        setVerschiebbar(VERSCHIEBBAR_EDEFAULT);
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.PICKER_VERTICAL__HOEHE:
        return hoehe != HOEHE_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_VERTICAL__BREITE:
        return breite != BREITE_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_VERTICAL__DISTANZ:
        return distanz != DISTANZ_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_VERTICAL__YPOS_PICKER_TOP:
        return yPosPickerTop != YPOS_PICKER_TOP_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_VERTICAL__KILOMETRIERUNG_ZUORDNUNG:
        return KILOMETRIERUNG_ZUORDNUNG_EDEFAULT == null ? kilometrierungZuordnung != null : !KILOMETRIERUNG_ZUORDNUNG_EDEFAULT.equals(kilometrierungZuordnung);
      case AnlagendarstellungPackage.PICKER_VERTICAL__VON_KM:
        return vonKm != VON_KM_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_VERTICAL__BIS_KM:
        return bisKm != BIS_KM_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_VERTICAL__SICHTBAR:
        return sichtbar != SICHTBAR_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_VERTICAL__FARBE:
        return FARBE_EDEFAULT == null ? farbe != null : !FARBE_EDEFAULT.equals(farbe);
      case AnlagendarstellungPackage.PICKER_VERTICAL__DARSTELLUNG_UPDATE:
        return DARSTELLUNG_UPDATE_EDEFAULT == null ? darstellungUpdate != null : !DARSTELLUNG_UPDATE_EDEFAULT.equals(darstellungUpdate);
      case AnlagendarstellungPackage.PICKER_VERTICAL__VERSETZT:
        return versetzt != VERSETZT_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_VERTICAL__VERSCHOBEN:
        return verschoben != VERSCHOBEN_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_VERTICAL__VERSCHIEBBAR:
        return verschiebbar != VERSCHIEBBAR_EDEFAULT;
    }
    return super.eIsSet(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (Hoehe: ");
    result.append(hoehe);
    result.append(", Breite: ");
    result.append(breite);
    result.append(", Distanz: ");
    result.append(distanz);
    result.append(", YPosPickerTop: ");
    result.append(yPosPickerTop);
    result.append(", KilometrierungZuordnung: ");
    result.append(kilometrierungZuordnung);
    result.append(", VonKm: ");
    result.append(vonKm);
    result.append(", BisKm: ");
    result.append(bisKm);
    result.append(", Sichtbar: ");
    result.append(sichtbar);
    result.append(", Farbe: ");
    result.append(farbe);
    result.append(", DarstellungUpdate: ");
    result.append(darstellungUpdate);
    result.append(", Versetzt: ");
    result.append(versetzt);
    result.append(", Verschoben: ");
    result.append(verschoben);
    result.append(", Verschiebbar: ");
    result.append(verschiebbar);
    result.append(')');
    return result.toString();
  }

} //PickerVerticalImpl
