package de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.verriegelung.allgemeineVerriegelungsMatrix;

import de.bsvrz.sba.plugin.parameter.steuerungskern.projektspezifischeEinstellungen.AnzeigeElementTyp;

public class InhaltMitTyp
{
  private AnzeigeElementTyp _typ;
  
  private String _inhalt;
  
  public InhaltMitTyp (AnzeigeElementTyp typ, String inhalt)
  {
  	_typ = typ;
  	
  	_inhalt = inhalt;
  }

	/**
   * Methode liefert typ zurck
   * @return typ
   */
  public AnzeigeElementTyp getTyp()
  {
  	return _typ;
  }

	/**
   * Methode setzt die Variable typ
   * @param typ zu bernehmender Wert fr typ
   */
  public void setTyp(AnzeigeElementTyp typ)
  {
  	_typ = typ;
  }

	/**
   * Methode liefert inhalt zurck
   * @return inhalt
   */
  public String getInhalt()
  {
  	return _inhalt;
  }

	/**
   * Methode setzt die Variable inhalt
   * @param inhalt zu bernehmender Wert fr inhalt
   */
  public void setInhalt(String inhalt)
  {
  	_inhalt = inhalt;
  }

	/* (non-Javadoc)
   * @see java.lang.Object#toString()
   */
  @Override
  public String toString()
  {
  	return getTyp().getName() + " " + getInhalt();
  }
  
  
}
