package de.bsvrz.buv.plugin.anlagendarstellung.sonderprogramm;

import java.util.ArrayList;
import java.util.Collection;

import de.bsvrz.dav.daf.main.ResultData;

/**
 * Hilfsklasse fr die Baumdarstellung
 * 
 * @author Pittner
 * 
 */
public class ProgrammHierarchie
{
  
  public String bezeichnung = null;
  public ProgrammHierarchie parent = null;
  public String parentString = null;
  
  private Collection<Programm> programme = null;
  private Collection<String> untermenues = null;
  
//  public ProgrammHierarchie(ProgrammHierarchie parent, String bezeichnung, String[] menues, Collection<ResultData> results)
//  {
//    this.bezeichnung = bezeichnung;
//    this.parent = parent;
//    
//    untermenues = new ArrayList<String>();
//    for (String menu : menues)
//    {
//      untermenues.add(new String(menu));
//    }
//    programme = new ArrayList<Programm>();
//    for (ResultData rd : results)
//    {
//      programme.add(new Programm(this, rd));
//    }
//    
//  }
  
  public ProgrammHierarchie(String parentString, String bezeichnung, String[] menues, Collection<ResultData> results)
  {
    this.bezeichnung = bezeichnung;
    this.parentString = parentString;
    
    programme = new ArrayList<Programm>();
    for (ResultData rd : results)
    {
      programme.add(new Programm(this, rd));
    }
    untermenues = new ArrayList<String>();
    for (String s : menues)
    {
      untermenues.add(new String(s));
    }
    
  }
  
  public Collection<Programm> getProgramme()
  {
    return programme;
  }
  
  public void setProgramme(Collection<Programm> programme)
  {
    this.programme = programme;
  }
  
//  public ProgrammHierarchie getParent()
//  {
//    return parent;
//  }
//
//  public void setParent(ProgrammHierarchie parent)
//  {
//    this.parent = parent;
//  }

  public String getParentString()
  {
    return parentString;
  }

  public void setParentString(String parentString)
  {
    this.parentString = parentString;
  }

  public Collection<String> getUntermenues()
  {
    return untermenues;
  }

  public void setUntermenues(Collection<String> untermenues)
  {
    this.untermenues = untermenues;
  }

  public String toString()
  {
    return bezeichnung;
  }
}