package de.bsvrz.buv.plugin.pua.a81.projektInfo;

import java.util.HashMap;
import java.util.Map;

public class ProjektInfoSwDe extends ProjektInfoUfdAbstrakt
{
  public ProjektInfoSwDe() {
    super();
    
    _ausgabeTabelleSpalten.add("Sichtweite [m]");
    
  }

  protected Map<String, String> specialValuesMap = new HashMap<String, String>() {
    {
      put("unplausibel", "-100");
      put("nicht ermittelbar", "-100");
    }
  };
  
  @Override
  public String getWertKonvertiert(String attribut, String wert, String objekt)
  {
    if (wert != null && _ausgabeTabelleSpalten.get(0).equals(attribut)) {
      try {
        Integer value = Integer.parseInt(wert);
        return wert;
      }
      catch (NumberFormatException e) {
        return specialValuesMap.get(wert);
      }
    }
    return null;
  }

}
