/**
 * <copyright>
 * </copyright>
 *
 * $Id: StreckenKnotenImpl.java,v 1.2 2014/04/17 15:51:14 Pittner Exp $
 */
package de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EObjectContainmentWithInverseEList;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.util.InternalEList;

import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.Activateable;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.ActivateableContainer;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.ActivationState;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.AlternativeStreckenAbschnitteContainer;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.InnererStreckenAbschnitt;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenAbschnitt;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenEintraegeContainer;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenEintrag;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenKnoten;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenZugEintraegeContainer;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenZugEintrag;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.adapter.ASACAktiverSAAdapter;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.adapter.ActivateableStateAdapter;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.adapter.AktiverStreckenAbschnittLaengeAdapter;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.adapter.AktiverStreckenAbschnittNameAdapter;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.adapter.WegeAdapter;
import de.bsvrz.sys.funclib.bitctrl.modell.tmverkehrglobal.objekte.StrassenKnoten;

/**
 * <!-- begin-user-doc --> An implementation of the model object '
 * <em><b>Strecken Knoten</b></em>'. <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenKnotenImpl#getState <em>State</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenKnotenImpl#getInternalState <em>Internal State</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenKnotenImpl#getActivateableContainer <em>Activateable Container</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenKnotenImpl#getActivateables <em>Activateables</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenKnotenImpl#getWegBisher <em>Weg Bisher</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenKnotenImpl#getLaenge <em>Laenge</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenKnotenImpl#getInternalAktiverStreckenAbschnitt <em>Internal Aktiver Strecken Abschnitt</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenKnotenImpl#getAktiverStreckenAbschnitt <em>Aktiver Strecken Abschnitt</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenKnotenImpl#getVonStrecke <em>Von Strecke</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenKnotenImpl#getNachStrecke <em>Nach Strecke</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class StreckenKnotenImpl extends
		StoerfallIndikatorContainerImpl<StrassenKnoten> implements
		StreckenKnoten {
	/**
   * The default value of the '{@link #getState() <em>State</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getState()
   * @generated
   * @ordered
   */
	protected static final ActivationState STATE_EDEFAULT = ActivationState.INACTIVE;

	/**
   * The default value of the '{@link #getInternalState() <em>Internal State</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getInternalState()
   * @generated
   * @ordered
   */
	protected static final ActivationState INTERNAL_STATE_EDEFAULT = ActivationState.INACTIVE;

	/**
   * The cached value of the '{@link #getInternalState() <em>Internal State</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getInternalState()
   * @generated
   * @ordered
   */
	protected ActivationState internalState = INTERNAL_STATE_EDEFAULT;

	/**
   * The cached value of the '{@link #getActivateables() <em>Activateables</em>}' containment reference list.
   * <!-- begin-user-doc
	 * --> <!-- end-user-doc -->
   * @see #getActivateables()
   * @generated
   * @ordered
   */
	protected EList<InnererStreckenAbschnitt> activateables;

	/**
   * The default value of the '{@link #getWegBisher() <em>Weg Bisher</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getWegBisher()
   * @generated
   * @ordered
   */
	protected static final double WEG_BISHER_EDEFAULT = 0.0;

	/**
   * The cached value of the '{@link #getWegBisher() <em>Weg Bisher</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getWegBisher()
   * @generated
   * @ordered
   */
	protected double wegBisher = WEG_BISHER_EDEFAULT;

	/**
   * The default value of the '{@link #getLaenge() <em>Laenge</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getLaenge()
   * @generated
   * @ordered
   */
	protected static final Double LAENGE_EDEFAULT = null;

	/**
   * The cached value of the '{@link #getLaenge() <em>Laenge</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getLaenge()
   * @generated
   * @ordered
   */
	protected Double laenge = LAENGE_EDEFAULT;

	/**
	 * The cached value of the '{@link #getInternalAktiverStreckenAbschnitt()
	 * <em>Internal Aktiver Strecken Abschnitt</em>}' reference. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @see #getInternalAktiverStreckenAbschnitt()
	 * @generated
	 * @ordered
	 */
	protected InnererStreckenAbschnitt internalAktiverStreckenAbschnitt;

	/**
   * The cached value of the '{@link #getVonStrecke() <em>Von Strecke</em>}' reference.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getVonStrecke()
   * @generated
   * @ordered
   */
	protected StreckenAbschnitt vonStrecke;

	/**
   * The cached value of the '{@link #getNachStrecke() <em>Nach Strecke</em>}' reference.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getNachStrecke()
   * @generated
   * @ordered
   */
	protected StreckenAbschnitt nachStrecke;

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated NOT
	 */
	protected StreckenKnotenImpl() {
		super();
		new ActivateableStateAdapter(this);
		new AktiverStreckenAbschnittNameAdapter(this);
		new AktiverStreckenAbschnittLaengeAdapter(this);
		new WegeAdapter(this);
		new ASACAktiverSAAdapter(this);
	}

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	protected EClass eStaticClass() {
    return StreckenprofilPackage.Literals.STRECKEN_KNOTEN;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public ActivationState getState() {
    return getInternalState();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setState(ActivationState newValue) {
    de.bsvrz.buv.plugin.streckenprofil.sts.a8.util.Activateables.dispatchSetActive(this, newValue);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public ActivationState getInternalState() {
    return internalState;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setInternalState(ActivationState newInternalState) {
    ActivationState oldInternalState = internalState;
    internalState = newInternalState == null ? INTERNAL_STATE_EDEFAULT : newInternalState;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_STATE, oldInternalState, internalState));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public ActivateableContainer<?> getActivateableContainer() {
    if (eContainerFeatureID() != StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER) return null;
    return (ActivateableContainer<?>)eContainer();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetActivateableContainer(
			ActivateableContainer<?> newActivateableContainer,
			NotificationChain msgs) {
    msgs = eBasicSetContainer((InternalEObject)newActivateableContainer, StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER, msgs);
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setActivateableContainer(
			ActivateableContainer<?> newActivateableContainer) {
    if (newActivateableContainer != eInternalContainer() || (eContainerFeatureID() != StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER && newActivateableContainer != null))
    {
      if (EcoreUtil.isAncestor(this, newActivateableContainer))
        throw new IllegalArgumentException("Recursive containment not allowed for " + toString());
      NotificationChain msgs = null;
      if (eInternalContainer() != null)
        msgs = eBasicRemoveFromContainer(msgs);
      if (newActivateableContainer != null)
        msgs = ((InternalEObject)newActivateableContainer).eInverseAdd(this, StreckenprofilPackage.ACTIVATEABLE_CONTAINER__ACTIVATEABLES, ActivateableContainer.class, msgs);
      msgs = basicSetActivateableContainer(newActivateableContainer, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER, newActivateableContainer, newActivateableContainer));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EList<InnererStreckenAbschnitt> getActivateables() {
    if (activateables == null)
    {
      activateables = new EObjectContainmentWithInverseEList<InnererStreckenAbschnitt>(Activateable.class, this, StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLES, StreckenprofilPackage.ACTIVATEABLE__ACTIVATEABLE_CONTAINER);
    }
    return activateables;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public double getWegBisher() {
    return wegBisher;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setWegBisher(double newWegBisher) {
    double oldWegBisher = wegBisher;
    wegBisher = newWegBisher;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKEN_KNOTEN__WEG_BISHER, oldWegBisher, wegBisher));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public Double getLaenge() {
    return laenge;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setLaenge(Double newLaenge) {
    Double oldLaenge = laenge;
    laenge = newLaenge;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKEN_KNOTEN__LAENGE, oldLaenge, laenge));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public InnererStreckenAbschnitt getInternalAktiverStreckenAbschnitt() {
    if (internalAktiverStreckenAbschnitt != null && internalAktiverStreckenAbschnitt.eIsProxy())
    {
      InternalEObject oldInternalAktiverStreckenAbschnitt = (InternalEObject)internalAktiverStreckenAbschnitt;
      internalAktiverStreckenAbschnitt = (InnererStreckenAbschnitt)eResolveProxy(oldInternalAktiverStreckenAbschnitt);
      if (internalAktiverStreckenAbschnitt != oldInternalAktiverStreckenAbschnitt)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_AKTIVER_STRECKEN_ABSCHNITT, oldInternalAktiverStreckenAbschnitt, internalAktiverStreckenAbschnitt));
      }
    }
    return internalAktiverStreckenAbschnitt;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public InnererStreckenAbschnitt basicGetInternalAktiverStreckenAbschnitt() {
    return internalAktiverStreckenAbschnitt;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setInternalAktiverStreckenAbschnitt(
			InnererStreckenAbschnitt newInternalAktiverStreckenAbschnitt) {
    InnererStreckenAbschnitt oldInternalAktiverStreckenAbschnitt = internalAktiverStreckenAbschnitt;
    internalAktiverStreckenAbschnitt = newInternalAktiverStreckenAbschnitt;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_AKTIVER_STRECKEN_ABSCHNITT, oldInternalAktiverStreckenAbschnitt, internalAktiverStreckenAbschnitt));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public InnererStreckenAbschnitt getAktiverStreckenAbschnitt() {
    return getInternalAktiverStreckenAbschnitt();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setAktiverStreckenAbschnitt(InnererStreckenAbschnitt newValue) {
    newValue.setState(ActivationState.ACTIVE);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public StreckenAbschnitt getVonStrecke() {
    if (vonStrecke != null && vonStrecke.eIsProxy())
    {
      InternalEObject oldVonStrecke = (InternalEObject)vonStrecke;
      vonStrecke = (StreckenAbschnitt)eResolveProxy(oldVonStrecke);
      if (vonStrecke != oldVonStrecke)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, StreckenprofilPackage.STRECKEN_KNOTEN__VON_STRECKE, oldVonStrecke, vonStrecke));
      }
    }
    return vonStrecke;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public StreckenAbschnitt basicGetVonStrecke() {
    return vonStrecke;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetVonStrecke(
			StreckenAbschnitt newVonStrecke, NotificationChain msgs) {
    StreckenAbschnitt oldVonStrecke = vonStrecke;
    vonStrecke = newVonStrecke;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKEN_KNOTEN__VON_STRECKE, oldVonStrecke, newVonStrecke);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setVonStrecke(StreckenAbschnitt newVonStrecke) {
    if (newVonStrecke != vonStrecke)
    {
      NotificationChain msgs = null;
      if (vonStrecke != null)
        msgs = ((InternalEObject)vonStrecke).eInverseRemove(this, StreckenprofilPackage.STRECKEN_ABSCHNITT__NACH_KNOTEN, StreckenAbschnitt.class, msgs);
      if (newVonStrecke != null)
        msgs = ((InternalEObject)newVonStrecke).eInverseAdd(this, StreckenprofilPackage.STRECKEN_ABSCHNITT__NACH_KNOTEN, StreckenAbschnitt.class, msgs);
      msgs = basicSetVonStrecke(newVonStrecke, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKEN_KNOTEN__VON_STRECKE, newVonStrecke, newVonStrecke));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public StreckenAbschnitt getNachStrecke() {
    if (nachStrecke != null && nachStrecke.eIsProxy())
    {
      InternalEObject oldNachStrecke = (InternalEObject)nachStrecke;
      nachStrecke = (StreckenAbschnitt)eResolveProxy(oldNachStrecke);
      if (nachStrecke != oldNachStrecke)
      {
        if (eNotificationRequired())
          eNotify(new ENotificationImpl(this, Notification.RESOLVE, StreckenprofilPackage.STRECKEN_KNOTEN__NACH_STRECKE, oldNachStrecke, nachStrecke));
      }
    }
    return nachStrecke;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public StreckenAbschnitt basicGetNachStrecke() {
    return nachStrecke;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetNachStrecke(
			StreckenAbschnitt newNachStrecke, NotificationChain msgs) {
    StreckenAbschnitt oldNachStrecke = nachStrecke;
    nachStrecke = newNachStrecke;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKEN_KNOTEN__NACH_STRECKE, oldNachStrecke, newNachStrecke);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setNachStrecke(StreckenAbschnitt newNachStrecke) {
    if (newNachStrecke != nachStrecke)
    {
      NotificationChain msgs = null;
      if (nachStrecke != null)
        msgs = ((InternalEObject)nachStrecke).eInverseRemove(this, StreckenprofilPackage.STRECKEN_ABSCHNITT__VON_KNOTEN, StreckenAbschnitt.class, msgs);
      if (newNachStrecke != null)
        msgs = ((InternalEObject)newNachStrecke).eInverseAdd(this, StreckenprofilPackage.STRECKEN_ABSCHNITT__VON_KNOTEN, StreckenAbschnitt.class, msgs);
      msgs = basicSetNachStrecke(newNachStrecke, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKEN_KNOTEN__NACH_STRECKE, newNachStrecke, newNachStrecke));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public StrassenKnoten getStrassenKnoten() {
    return getModellObjekt();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setStrassenKnoten(StrassenKnoten strassenKnoten) {
    setModellObjekt(strassenKnoten);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EList<InnererStreckenAbschnitt> getInnereStreckenAbschnitte() {
    return getStreckenEintraege();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public Double computeLaenge() {
    StreckenAbschnitt abschnitt=getAktiverStreckenAbschnitt();
    return null != abschnitt ? abschnitt.getLaenge() : null;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public StreckenEintraegeContainer<?> getStreckenEintraegeContainer() {
    return (StreckenEintraegeContainer<?>) getActivateableContainer();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setStreckenEintraegeContainer(
			StreckenEintraegeContainer<?> container) {
    setActivateableContainer(container);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EList<InnererStreckenAbschnitt> getStreckenEintraege() {
    return getActivateables();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EList<InnererStreckenAbschnitt> getStreckenZugEintraege() {
    return getActivateables();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@SuppressWarnings("unchecked")
	@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd,
			int featureID, NotificationChain msgs) {
    switch (featureID)
    {
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER:
        if (eInternalContainer() != null)
          msgs = eBasicRemoveFromContainer(msgs);
        return basicSetActivateableContainer((ActivateableContainer<?>)otherEnd, msgs);
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLES:
        return ((InternalEList<InternalEObject>)(InternalEList<?>)getActivateables()).basicAdd(otherEnd, msgs);
      case StreckenprofilPackage.STRECKEN_KNOTEN__VON_STRECKE:
        if (vonStrecke != null)
          msgs = ((InternalEObject)vonStrecke).eInverseRemove(this, StreckenprofilPackage.STRECKEN_ABSCHNITT__NACH_KNOTEN, StreckenAbschnitt.class, msgs);
        return basicSetVonStrecke((StreckenAbschnitt)otherEnd, msgs);
      case StreckenprofilPackage.STRECKEN_KNOTEN__NACH_STRECKE:
        if (nachStrecke != null)
          msgs = ((InternalEObject)nachStrecke).eInverseRemove(this, StreckenprofilPackage.STRECKEN_ABSCHNITT__VON_KNOTEN, StreckenAbschnitt.class, msgs);
        return basicSetNachStrecke((StreckenAbschnitt)otherEnd, msgs);
    }
    return super.eInverseAdd(otherEnd, featureID, msgs);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd,
			int featureID, NotificationChain msgs) {
    switch (featureID)
    {
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER:
        return basicSetActivateableContainer(null, msgs);
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLES:
        return ((InternalEList<?>)getActivateables()).basicRemove(otherEnd, msgs);
      case StreckenprofilPackage.STRECKEN_KNOTEN__VON_STRECKE:
        return basicSetVonStrecke(null, msgs);
      case StreckenprofilPackage.STRECKEN_KNOTEN__NACH_STRECKE:
        return basicSetNachStrecke(null, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public NotificationChain eBasicRemoveFromContainerFeature(
			NotificationChain msgs) {
    switch (eContainerFeatureID())
    {
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER:
        return eInternalContainer().eInverseRemove(this, StreckenprofilPackage.ACTIVATEABLE_CONTAINER__ACTIVATEABLES, ActivateableContainer.class, msgs);
    }
    return super.eBasicRemoveFromContainerFeature(msgs);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
    switch (featureID)
    {
      case StreckenprofilPackage.STRECKEN_KNOTEN__STATE:
        return getState();
      case StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_STATE:
        return getInternalState();
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER:
        return getActivateableContainer();
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLES:
        return getActivateables();
      case StreckenprofilPackage.STRECKEN_KNOTEN__WEG_BISHER:
        return getWegBisher();
      case StreckenprofilPackage.STRECKEN_KNOTEN__LAENGE:
        return getLaenge();
      case StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_AKTIVER_STRECKEN_ABSCHNITT:
        if (resolve) return getInternalAktiverStreckenAbschnitt();
        return basicGetInternalAktiverStreckenAbschnitt();
      case StreckenprofilPackage.STRECKEN_KNOTEN__AKTIVER_STRECKEN_ABSCHNITT:
        return getAktiverStreckenAbschnitt();
      case StreckenprofilPackage.STRECKEN_KNOTEN__VON_STRECKE:
        if (resolve) return getVonStrecke();
        return basicGetVonStrecke();
      case StreckenprofilPackage.STRECKEN_KNOTEN__NACH_STRECKE:
        if (resolve) return getNachStrecke();
        return basicGetNachStrecke();
    }
    return super.eGet(featureID, resolve, coreType);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
    switch (featureID)
    {
      case StreckenprofilPackage.STRECKEN_KNOTEN__STATE:
        setState((ActivationState)newValue);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_STATE:
        setInternalState((ActivationState)newValue);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER:
        setActivateableContainer((ActivateableContainer<?>)newValue);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLES:
        getActivateables().clear();
        getActivateables().addAll((Collection<? extends InnererStreckenAbschnitt>)newValue);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__WEG_BISHER:
        setWegBisher((Double)newValue);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__LAENGE:
        setLaenge((Double)newValue);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_AKTIVER_STRECKEN_ABSCHNITT:
        setInternalAktiverStreckenAbschnitt((InnererStreckenAbschnitt)newValue);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__AKTIVER_STRECKEN_ABSCHNITT:
        setAktiverStreckenAbschnitt((InnererStreckenAbschnitt)newValue);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__VON_STRECKE:
        setVonStrecke((StreckenAbschnitt)newValue);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__NACH_STRECKE:
        setNachStrecke((StreckenAbschnitt)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public void eUnset(int featureID) {
    switch (featureID)
    {
      case StreckenprofilPackage.STRECKEN_KNOTEN__STATE:
        setState(STATE_EDEFAULT);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_STATE:
        setInternalState(INTERNAL_STATE_EDEFAULT);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER:
        setActivateableContainer((ActivateableContainer<?>)null);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLES:
        getActivateables().clear();
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__WEG_BISHER:
        setWegBisher(WEG_BISHER_EDEFAULT);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__LAENGE:
        setLaenge(LAENGE_EDEFAULT);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_AKTIVER_STRECKEN_ABSCHNITT:
        setInternalAktiverStreckenAbschnitt((InnererStreckenAbschnitt)null);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__AKTIVER_STRECKEN_ABSCHNITT:
        setAktiverStreckenAbschnitt((InnererStreckenAbschnitt)null);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__VON_STRECKE:
        setVonStrecke((StreckenAbschnitt)null);
        return;
      case StreckenprofilPackage.STRECKEN_KNOTEN__NACH_STRECKE:
        setNachStrecke((StreckenAbschnitt)null);
        return;
    }
    super.eUnset(featureID);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public boolean eIsSet(int featureID) {
    switch (featureID)
    {
      case StreckenprofilPackage.STRECKEN_KNOTEN__STATE:
        return getState() != STATE_EDEFAULT;
      case StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_STATE:
        return internalState != INTERNAL_STATE_EDEFAULT;
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER:
        return getActivateableContainer() != null;
      case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLES:
        return activateables != null && !activateables.isEmpty();
      case StreckenprofilPackage.STRECKEN_KNOTEN__WEG_BISHER:
        return wegBisher != WEG_BISHER_EDEFAULT;
      case StreckenprofilPackage.STRECKEN_KNOTEN__LAENGE:
        return LAENGE_EDEFAULT == null ? laenge != null : !LAENGE_EDEFAULT.equals(laenge);
      case StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_AKTIVER_STRECKEN_ABSCHNITT:
        return internalAktiverStreckenAbschnitt != null;
      case StreckenprofilPackage.STRECKEN_KNOTEN__AKTIVER_STRECKEN_ABSCHNITT:
        return getAktiverStreckenAbschnitt() != null;
      case StreckenprofilPackage.STRECKEN_KNOTEN__VON_STRECKE:
        return vonStrecke != null;
      case StreckenprofilPackage.STRECKEN_KNOTEN__NACH_STRECKE:
        return nachStrecke != null;
    }
    return super.eIsSet(featureID);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass) {
    if (baseClass == Activateable.class)
    {
      switch (derivedFeatureID)
      {
        case StreckenprofilPackage.STRECKEN_KNOTEN__STATE: return StreckenprofilPackage.ACTIVATEABLE__STATE;
        case StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_STATE: return StreckenprofilPackage.ACTIVATEABLE__INTERNAL_STATE;
        case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER: return StreckenprofilPackage.ACTIVATEABLE__ACTIVATEABLE_CONTAINER;
        default: return -1;
      }
    }
    if (baseClass == ActivateableContainer.class)
    {
      switch (derivedFeatureID)
      {
        case StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLES: return StreckenprofilPackage.ACTIVATEABLE_CONTAINER__ACTIVATEABLES;
        default: return -1;
      }
    }
    if (baseClass == StreckenZugEintrag.class)
    {
      switch (derivedFeatureID)
      {
        case StreckenprofilPackage.STRECKEN_KNOTEN__WEG_BISHER: return StreckenprofilPackage.STRECKEN_ZUG_EINTRAG__WEG_BISHER;
        case StreckenprofilPackage.STRECKEN_KNOTEN__LAENGE: return StreckenprofilPackage.STRECKEN_ZUG_EINTRAG__LAENGE;
        default: return -1;
      }
    }
    if (baseClass == StreckenZugEintraegeContainer.class)
    {
      switch (derivedFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == StreckenEintraegeContainer.class)
    {
      switch (derivedFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == StreckenEintrag.class)
    {
      switch (derivedFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == AlternativeStreckenAbschnitteContainer.class)
    {
      switch (derivedFeatureID)
      {
        case StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_AKTIVER_STRECKEN_ABSCHNITT: return StreckenprofilPackage.ALTERNATIVE_STRECKEN_ABSCHNITTE_CONTAINER__INTERNAL_AKTIVER_STRECKEN_ABSCHNITT;
        case StreckenprofilPackage.STRECKEN_KNOTEN__AKTIVER_STRECKEN_ABSCHNITT: return StreckenprofilPackage.ALTERNATIVE_STRECKEN_ABSCHNITTE_CONTAINER__AKTIVER_STRECKEN_ABSCHNITT;
        default: return -1;
      }
    }
    return super.eBaseStructuralFeatureID(derivedFeatureID, baseClass);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass) {
    if (baseClass == Activateable.class)
    {
      switch (baseFeatureID)
      {
        case StreckenprofilPackage.ACTIVATEABLE__STATE: return StreckenprofilPackage.STRECKEN_KNOTEN__STATE;
        case StreckenprofilPackage.ACTIVATEABLE__INTERNAL_STATE: return StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_STATE;
        case StreckenprofilPackage.ACTIVATEABLE__ACTIVATEABLE_CONTAINER: return StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLE_CONTAINER;
        default: return -1;
      }
    }
    if (baseClass == ActivateableContainer.class)
    {
      switch (baseFeatureID)
      {
        case StreckenprofilPackage.ACTIVATEABLE_CONTAINER__ACTIVATEABLES: return StreckenprofilPackage.STRECKEN_KNOTEN__ACTIVATEABLES;
        default: return -1;
      }
    }
    if (baseClass == StreckenZugEintrag.class)
    {
      switch (baseFeatureID)
      {
        case StreckenprofilPackage.STRECKEN_ZUG_EINTRAG__WEG_BISHER: return StreckenprofilPackage.STRECKEN_KNOTEN__WEG_BISHER;
        case StreckenprofilPackage.STRECKEN_ZUG_EINTRAG__LAENGE: return StreckenprofilPackage.STRECKEN_KNOTEN__LAENGE;
        default: return -1;
      }
    }
    if (baseClass == StreckenZugEintraegeContainer.class)
    {
      switch (baseFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == StreckenEintraegeContainer.class)
    {
      switch (baseFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == StreckenEintrag.class)
    {
      switch (baseFeatureID)
      {
        default: return -1;
      }
    }
    if (baseClass == AlternativeStreckenAbschnitteContainer.class)
    {
      switch (baseFeatureID)
      {
        case StreckenprofilPackage.ALTERNATIVE_STRECKEN_ABSCHNITTE_CONTAINER__INTERNAL_AKTIVER_STRECKEN_ABSCHNITT: return StreckenprofilPackage.STRECKEN_KNOTEN__INTERNAL_AKTIVER_STRECKEN_ABSCHNITT;
        case StreckenprofilPackage.ALTERNATIVE_STRECKEN_ABSCHNITTE_CONTAINER__AKTIVER_STRECKEN_ABSCHNITT: return StreckenprofilPackage.STRECKEN_KNOTEN__AKTIVER_STRECKEN_ABSCHNITT;
        default: return -1;
      }
    }
    return super.eDerivedStructuralFeatureID(baseFeatureID, baseClass);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public String toString() {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (internalState: ");
    result.append(internalState);
    result.append(", wegBisher: ");
    result.append(wegBisher);
    result.append(", laenge: ");
    result.append(laenge);
    result.append(')');
    return result.toString();
  }

} // StreckenKnotenImpl
