package de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.verriegelung.spezielleVerriegelungsMatrix;

import org.eclipse.swt.widgets.Label;

import de.bsvrz.dav.daf.main.config.SystemObject;
import de.bsvrz.sba.plugin.parameter.steuerungskern.projektspezifischeEinstellungen.AnzeigeElementTyp;

public class VersorgungsElement
{
  private Label _label;
  
  private AnzeigeElementTyp _typ;
  
  private SystemObject _systemObject;
  
  public VersorgungsElement (Label label, SystemObject systemObjekt, AnzeigeElementTyp typ)
  {
  	_label = label;
  	_systemObject = systemObjekt;
  	_typ = typ;
  }

	/**
   * Methode liefert label zurck
   * @return label
   */
  public Label getLabel()
  {
  	return _label;
  }

	/**
   * Methode liefert typ zurck
   * @return typ
   */
  public AnzeigeElementTyp getTyp()
  {
  	return _typ;
  }

	/**
   * Methode liefert systemObject zurck
   * @return systemObject
   */
  public SystemObject getSystemObject()
  {
  	return _systemObject;
  }
}
